Проблема с установкой IMAP

Discussion in 'Linux, Freebsd, *nix' started by Steam[777], 27 Aug 2014.

  1. Steam[777]

    Steam[777] Elder - Старейшина

    Joined:
    27 Sep 2010
    Messages:
    297
    Likes Received:
    42
    Reputations:
    25
    Туплю, прошу community помочь.
    Решил SuiteCRM "пощупать". При установке вылезло несколько требований, поправил. Но вот с этой - "Не найдено: для нормальной работы входящей почты и кампаний необходимо наличие IMAP-библиотек" завис.

    Итак:
    OS:Ubuntu 13.04
    Web server:Apache/2.2.22
    PHP: 5.4.9

    Полез на страницу нужного мне (надеюсь) пакета написано, что он зависит от:
    1.libc-client2007e
    2.phpapi-20100525+lfs

    Когда же я пытаюсь установить его (sudo apt-get install php5-imap) получаю

    php5-imap : Depends: libc-client2007b but it is not going to be installed
    Depends: libkrb53 (>= 1.6.dfsg.2) but it is not going to be installed
    Depends: phpapi-20060613+lfs

    а libkrb53 вообще в зависимостях на странице пакета не указан.

    Выходит, у меня стоят более старые библиотеки.
    Попробовал поставить те, которые указаны в зависимостях (sudo apt-get install libc-client2007e), получил (E: Unable to locate package libc-client2007e)

    Правильно ли я понимаю, что проблема в списках репозиториев? Если да,поясните, где именно на странице описания пакета (например, этого http://packages.ubuntu.com/ru/raring/php5-imap) находится ссылка на репозиторий,который надо включить в /etc/sources.list? И вообще, пните в правильном направлении, пожалуйста.
     
    #1 Steam[777], 27 Aug 2014
    Last edited: 27 Aug 2014
  2. b3

    b3 Moderator

    Joined:
    5 Dec 2004
    Messages:
    1,986
    Likes Received:
    871
    Reputations:
    198
    откуда ставился сам php? с сорцев или репов? Так же попробуй всю систему обновить, возможно пыха старая стоит а либы уже в репах новые.
     
    _________________________
    2 people like this.
  3. Steam[777]

    Steam[777] Elder - Старейшина

    Joined:
    27 Sep 2010
    Messages:
    297
    Likes Received:
    42
    Reputations:
    25
    С репов. Только что поборол. В целом, сделал вот что:
    1.Добавил в /etc/apt/sources.list deb http://us.archive.ubuntu.com/ubuntu trusty main universe
    2.sudo apt-get update
    3.sudo apt-get install libc-client2007e
    4.apt-get dist-upgrade
    [конфиг апача слетел после этого,если что]
    5.sudo apt-get install php5-imap (после обновления запустился нормально)
    6.В php.ini добавил extension=imap.so
    7.Рестарт апача.
    -------------------------------------------------------------------------------------------------
    После этого SuiteCRM перестал ругаться на Модуль IMAP.
     
  4. b3

    b3 Moderator

    Joined:
    5 Dec 2004
    Messages:
    1,986
    Likes Received:
    871
    Reputations:
    198
    явно переборщил, грубо говоря переустановил систему на более высокую.
     
    _________________________
  5. Steam[777]

    Steam[777] Elder - Старейшина

    Joined:
    27 Sep 2010
    Messages:
    297
    Likes Received:
    42
    Reputations:
    25
    Заодно :)
    На самом деле особо вариантов то не было, при sudo apt-get install libkrb53 вылезало сообщение об удалении 30 разных пакетов, а без него imap ставиться не хотел :mad:
     
Loading...